const system = require("../../../system");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
/**
 * 表单信息表
 */
module.exports = (db, DataTypes) => {
    return db.define("forminfo", {
        code: {
            allowNull: false,
            type: DataTypes.STRING
        },
        name: {
            allowNull: false,
            type: DataTypes.STRING
        },
        form_items: {
            allowNull: true,
            type: DataTypes.STRING
        },
        form_describe: {
            allowNull: true,
            type: DataTypes.STRING
        },
        notes: {
            allowNull: true,
            type: DataTypes.STRING
        },
        user_id: DataTypes.STRING(100),
        user_name: DataTypes.STRING(100),	//user_name	用户名称
        company_id: DataTypes.INTEGER(11)	//user_name	用户名称
    }, {
        paranoid: true,//假的删除
        underscored: true,
        version: true,
        freezeTableName: true,
        tableName: 'c_form_info',
        validate: {},
        indexes: [

        ]
    });
}

